INTERFACE
SUBROUTINE CPGLAGTL (KNUMB,&
 & PB2,PGM,PGMV,PGMVS,PGFL,PGMVT1,PGMVT1S) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
USE YOMGMV , ONLY : YT1 ,NDIMGMV ,NDIMGMVS
USE YOMSC2 , ONLY : NFLDSLB2
USE YOM_YGFL , ONLY : YGFL ,YQ
INTEGER(KIND=JPIM),INTENT(IN) :: KNUMB
REAL(KIND=JPRB) ,INTENT(IN) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMV(NPROMA,NFLEVG,NDIMGMV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVS(NPROMA,NDIMGMVS)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGFL(NPROMA,NFLEVG,YGFL%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1(NPROMA,NFLEVG,YT1%NDIM)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PGMVT1S(NPROMA,YT1%NDIMS)
END SUBROUTINE CPGLAGTL
END INTERFACE
